# Class ValueReference

java.lang.Object
jakarta.el.ValueReference

All Implemented Interfaces:
  `Serializable`

public class ValueReference extends Object implements Serializable
Holds a reference to a resolved property, consisting of a base object and a property identifier. This class is used to capture the result of property resolution during EL evaluation, allowing the caller to perform additional operations on the resolved property.

Since:
  EL 2.2
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValueReference(Object base, Object property)`
  Constructs a new value reference with the given base object and property.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getBase()`
  Returns the base object on which the property was resolved.
  `Object`
  `getProperty()`
  Returns the property identifier.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ValueReference

    public ValueReference(Object base, Object property)
    Constructs a new value reference with the given base object and property.
    Parameters:
      `base` - The base object on which the property was resolved
      `property` - The property identifier

- ## Method Details

  - ### getBase

    public Object getBase()
    Returns the base object on which the property was resolved.
    Returns:
      The base object

  - ### getProperty

    public Object getProperty()
    Returns the property identifier.
    Returns:
      The property identifier